National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2018-17205 Detail

Current Description

An issue was discovered in Open vSwitch (OvS) 2.7.x through 2.7.6, affecting ofproto_rule_insert__ in ofproto/ofproto.c. During bundle commit, flows that are added in a bundle are applied to ofproto in order. If a flow cannot be added (e.g., the flow action is a go-to for a group id that does not exist), OvS tries to revert back all previous flows that were successfully applied from the same bundle. This is possible since OvS maintains list of old flows that were replaced by flows from the bundle. While reinserting old flows, OvS has an assertion failure due to a check on rule state != RULE_INITIALIZED. This would work for new flows, but for an old flow the rule state is RULE_REMOVED. The assertion failure causes an OvS crash.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: 7.5 HIGH
Vector:  CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
https://access.redhat.com/errata/RHSA-2018:3500 Third Party Advisory
https://access.redhat.com/errata/RHSA-2019:0053 Third Party Advisory
https://access.redhat.com/errata/RHSA-2019:0081 Third Party Advisory
https://github.com/openvswitch/ovs/commit/0befd1f3745055c32940f5faf9559be6a14395e6 Exploit Patch Third Party Advisory
https://usn.ubuntu.com/3873-1/ Third Party Advisory

Weakness Enumeration

CWE-ID CWE Name Source
CWE-617 Reachable Assertion NIST  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:openvswitch:openvswitch:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
From (including)
2.7.0
Up to (including)
2.7.6

Configuration 2 ( hide )
 cpe:2.3:a:redhat:openstack:10:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:redhat:openstack:13.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:redhat:virtualization:4.0:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 3 ( hide )
 cpe:2.3:o:canonical:ubuntu_linux:16.04:*:*:*:lts:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:18.04:*:*:*:lts:*:*:*
     Show Matching CPE(s)


Change History

6 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2018-17205
NVD Published Date:
09/19/2018
NVD Last Modified:
10/02/2019